include $(MODULE_INIT)

OUTPUTS_DIR := external/freertos/FreeRTOS

MODULE_CC_FLAGS := -DTICKLESS_PM -DUSE_TIMER

MODULE_INCLUDES := \
				include \
				../FreeRTOS-Plus/FreeRTOS-Plus-CLI

ifeq ($(TOOL_CHAIN), GCC_ARM)
MODULE_INCLUDES += portable/GCC/ARM_CM4
else
MODULE_INCLUDES += portable/IAR/ARM_CM4
endif

CC_SRCS := \
			croutine.c \
			event_groups.c \
			list.c \
			queue.c \
			tasks.c \
			timers.c \
			../FreeRTOS-Plus/FreeRTOS-Plus-CLI/FreeRTOS_CLI.c

ifeq ($(TOOL_CHAIN), GCC_ARM)
CC_SRCS += \
			portable/GCC/ARM_CM4/port.c \
			portable/MemMang/heap_5.c
else
ASM_SRCS := portable/IAR/ARM_CM4/portasm.s
CC_SRCS += 	portable/IAR/ARM_CM4/port.c \
			portable/MemMang/heap_2.c
endif

LIB_TARGET := freertos.a

include $(MODULE_COMPILE)
